DELIMITER //
CREATE PROCEDURE test()
BEGIN
	SELECT 'Hello, I am a Procedure' AS hi;
END //


CALL test();


DELIMITER //
CREATE PROCEDURE city_info()
BEGIN
	SELECT city.Name AS city_name, country.Name AS country_name, country.Code, countrylanguage.Language 
	    FROM country
	     JOIN city ON city.CountryCode = country.Code
	     JOIN countrylanguage ON countrylanguage.CountryCode = country.Code
	     WHERE countrylanguage.IsOfficial = 'T';   
END //



DROP PROCEDURE test;


DELIMITER //
CREATE PROCEDURE city_info(l INT)
BEGIN
    SELECT city.Name AS city_name, country.Name AS country_name, country.Code, countrylanguage.Language 
    FROM country
     JOIN city ON city.CountryCode = country.Code
     JOIN countrylanguage ON countrylanguage.CountryCode = country.Code
     WHERE countrylanguage.IsOfficial = 'T' LIMIT l;
END //


CALL city_info(5)